Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class Resource

    java.lang.Object
      |
      +--com.ibm.cics.server.API
            |
            +--com.ibm.cics.server.Resource

Direct Known Subclasses:
  RemotableResource

public abstract class Resource
extends API
implements java.io.Serializable

This abstract class provides the common implementation for named resources.

It provides the following properties:

- name - The name of the CICS resource (program, TSQ etc)
- description - A brief description of the resource.

Constructor Summary
`Resource()`

Method Summary
`java.lang.String` | `getDescription()` Returns the description of the resource.
`java.lang.String` | `getName()` All resources have a 'name'.
`void` | `setDescription(java.lang.String description)` Sets the description of the resource.
`void` | `setName(java.lang.String newName)` All resources have a 'name'.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Resource

    public Resource()

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns the description of the resource.
  Returns:
    The resource description.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of the resource.
  Parameters:
    `description` - The resource description.

### getName

    public java.lang.String getName()

  All resources have a 'name'. This is initially null. When a resource gets a 'name', then it is this that associates it with the underlying TRANS resource. This method gets the current name.
  Returns:
    The resource name.

### setName

    public void setName(java.lang.String newName)

  All resources have a 'name'. This is initially null. When a resource gets a 'name', then it is this that associates it with the underlying TRANS resource. This method sets the current name.
  Parameters:
    `newName` - The new resource name.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 by Sun Microsystems, Inc.